<?php

class News extends CActiveRecord {

    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    public function tableName() {
        return 'news';
    }

    public function rules() {
        return array(
            array('text', 'length', 'max' => 1000, 'min' => 3),
            array('title, text, author', 'required'),
        );
    }

    public function attributeLabels() {
        return array(
            'text' => 'Текст новости',
            'author' => 'Автор новости',
            'title' => 'Название новости',
        );
    }

    public static function findNews($id) {
        $news = self::model()->findByPk($id);
        if (!$news) {
            throw new CHttpException(404, 'Новость не существует');
        } else {
            return $news;
        }
    }

}
